# Crow: crow::detail::routing_handler_call_helper::Wrapped< Func, ArgsWrapped > Struct Template Reference

crow::detail::routing_handler_call_helper::Wrapped< Func, ArgsWrapped > Struct Template Reference

## Classes

struct | handler_type_helper
struct | handler_type_helper< const request &, Args... >
struct | handler_type_helper< const request &, response &, Args... >
struct | req_handler_wrapper

## Public Member Functions

template<typename... Args>
void | set_ (Func f, typename std::enable_if<!std::is_same< typename std::tuple_element< 0, std::tuple< Args..., void >>::type, const request & >::value, int >::type=0)
template<typename... Args>
void | set_ (Func f, typename std::enable_if< std::is_same< typename std::tuple_element< 0, std::tuple< Args..., void >>::type, const request & >::value &&!std::is_same< typename std::tuple_element< 1, std::tuple< Args..., void, void >>::type, response & >::value, int >::type=0)
template<typename... Args>
void | set_ (Func f, typename std::enable_if< std::is_same< typename std::tuple_element< 0, std::tuple< Args..., void >>::type, const request & >::value &&std::is_same< typename std::tuple_element< 1, std::tuple< Args..., void, void >>::type, response & >::value, int >::type=0)
void | operator() (request &req, response &res, const routing_params &params)

## Public Attributes

handler_type_helper< ArgsWrapped... >::type | handler_

The documentation for this struct was generated from the following file:

- include/crow/routing.h